Subject: Re: linux-next: manual merge of the omap tree with the arm tree

From: Tony Lindgren <[email-masked]>
Date: Mon, 24 Aug 2009 16:07:18 +0300

* Tony Lindgren <[email-masked]> [090820 14:20]:
> * Stephen Rothwell <[email-masked]> [090819 08:04]:
> > Hi all,
> > 
> > Today's linux-next merge of the omap tree got a conflict in
> > arch/arm/mach-omap2/board-4430sdp.c between commit
> > 085b54d99b8ee999e7905b8f16e201e0da8ba369 ("ARM: OMAP4: Add UART4
> > support") from the arm tree and commit
> > 4c29fa3e47342666e12e46f35f40dd90b12cd1a4 ("OMAP: remove OMAP_TAG_UART")
> > from the omap tree.
> > 
> > Just context changes (I think).  I fixed it up (see below) and can carry
> > the fix as necessary.
> 
> Thanks yeh the fix looks right. I'll take a look if I can squeeze something
> like that into my queue so the merge conflict disappears.

The merge conflict should be gone now, Kevin realized we don't need the
platform_data any longer. Will remove that for board-4430sdp.c and serial.h
as a fix once the other pending changes have been merged.
 
> Regards,
> 
> Tony
> 
> > -- 
> > Cheers,
> > Stephen Rothwell                    [email-masked]
> > 
> > diff --cc arch/arm/mach-omap2/board-4430sdp.c
> > index 1b22307,646079f..0000000
> > --- a/arch/arm/mach-omap2/board-4430sdp.c
> > +++ b/arch/arm/mach-omap2/board-4430sdp.c
> > @@@ -38,8 -38,8 +38,8 @@@ static struct platform_device *sdp4430_
> >   	&sdp4430_lcd_device,
> >   };
> >   
> > - static struct omap_uart_config sdp4430_uart_config __initdata = {
> > + static struct omap_uart_platform_data sdp4430_uart_config __initdata = {
> >  -	.enabled_uarts	= (1 << 0) | (1 << 1) | (1 << 2),
> >  +	.enabled_uarts	= (1 << 0) | (1 << 1) | (1 << 2) | (1 << 3),
> >   };
> >   
> >   static struct omap_lcd_config sdp4430_lcd_config __initdata = {
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/